# Makefile for Dinkum
#   22 February 1993
#
# Atari ST part added March 3/93, Chris Herborth
# [cherborth@semprini.tdkcs.waterloo.on.ca]

# For the Coherent GCC port...
#CC = gcc
#CFLAGS =  -c -O -Wall

# For the Atari ST GCC port...
CC = gcc
CFLAGS =  -c -O2 -mshort -Wall

# For the standard Coherent C compiler...
# This modification was suggested by Fred Smith.  Thanks, Fred!
#CFLAGS =  -c -Dcoh40

# For garden variety Unix
#CFLAGS =  -c

HEAD = dink_sym.h dink_glb.h

OBJECTS = dinkum.o describe.o longdsc.o objlook.o actor.o \
pusher.o monster.o opener.o parse.o taker.o
dinkum: $(OBJECTS)
#	$(CC) $(OBJECTS) -o dinkum
	$(CC) $(OBJECTS) -mshort -o dinkum
dinkum.o: dinkum.c $(HEAD)
	$(CC) $(CFLAGS) dinkum.c
describe.o: describe.c $(HEAD)
	$(CC) $(CFLAGS) describe.c
longdsc.o: longdsc.c $(HEAD)
	$(CC) $(CFLAGS) longdsc.c
objlook.o: objlook.c $(HEAD)
	$(CC) $(CFLAGS) objlook.c
pusher.o: pusher.c $(HEAD)
	$(CC) $(CFLAGS) pusher.c
actor.o: actor.c $(HEAD)
	$(CC) $(CFLAGS) actor.c
monster.o: monster.c $(HEAD)
	$(CC) $(CFLAGS) monster.c
opener.o: opener.c $(HEAD)
	$(CC) $(CFLAGS) opener.c
taker.o: taker.c $(HEAD)
	$(CC) $(CFLAGS) taker.c

parse.o: parse.c $(HEAD)
# Replace with PROMPT if you want a prompt with every command entry.
# This modification was suggested by Chris Herborth.  Thanks, Chris!
	$(CC) $(CFLAGS) -DPROMPT parse.c
#	$(CC) $(CFLAGS) parse.c
